> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-support-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List log-forwarding configurations

> Get a list of all log-forwarding configurations for the authenticated user.



## OpenAPI

````yaml https://api-mc.opsbunny.net/docs/public/swagger.json get /log/forwarding
openapi: 3.0.4
info:
  title: Public API
  description: 'Public API endpoints for user consumption. Release version: v1.9.36.0'
  version: '1.0'
servers:
  - url: https://api.bunny.net/mc
security:
  - AccessKey: []
paths:
  /log/forwarding:
    get:
      tags:
        - Log Forwarding
      summary: List log-forwarding configurations
      description: >-
        Get a list of all log-forwarding configurations for the authenticated
        user.
      operationId: ListLogForwardingConfigurations
      responses:
        '200':
          description: List of log-forwarding configurations retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListLogForwardingResponse'
        '401':
          description: User is unauthorized.
        '500':
          description: Unexpected server error.
components:
  schemas:
    ListLogForwardingResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/LogForwardingConfiguration'
    LogForwardingConfiguration:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        app:
          type: string
          description: App unique identifier
        productId:
          type: string
          description: Product unique identifier
        type:
          enum:
            - SyslogUdp
            - SyslogTcp
          type: string
          description: Log endpoint type
        endpoint:
          type: string
          description: Log destination endpoint
        port:
          type: integer
          description: Log destination port
        createdAt:
          type: string
          description: When the configuration was created
          format: date-time
        token:
          type: string
          description: Token passed as field of syslog
        format:
          enum:
            - SyslogRfc3164
            - SyslogRfc5424
          type: string
          description: Which Syslog RFC will be used
        enabled:
          type: boolean
          description: Whether forwarding is enabled
  securitySchemes:
    AccessKey:
      type: apiKey
      description: Please enter a valid personal API key.
      name: AccessKey
      in: header

````